Metatag 2.1.1, 2025-05-29
-------------------------
#3515603 by claudiu.cristea, damienmckenna: PHP 8.4 support.
#3518526 by sleitner, damienmckenna: Resolve access check errors.
#3503253 by joegraduate, damienmckenna, qaiser iqbal: TypeError: uasort():
  Argument #1 ($array) must be of type array, null given in uasort() (line 285
  of modules\metatag\src\MetatagManager.php).
#3490807 by ptmkenny, damienmckenna, nickdickinsonwilde: PHP 8.4 deprecations.
#3499128 by project update bot, damienmckenna: Automated Drupal 11
  compatibility fixes in V2UpdatesTest.
#3520695 by damienmckenna: Move functions from metatag.tokens.inc to
  metatag.module.
#3504986 by andresalvarez, damienmckenna, ggh: Coding standard fixes.
#3484792 by ivnish, johnjw59, damienmckenna: Update Page Manager integration
  for latest version.


Metatag 2.1.0, 2024-11-07
-------------------------
#2563651 by damienmckenna, alison, bob.hinrichs, benjifisher: Migration for
  Metatag-D7 default configurations.
#3454473 by damienmckenna: Migrations: Metatag-D7 misc settings.
#3479994 by damienmckenna: Split D7 settings migration into a separate test.
#3485053 by damienmckenna: Fix cspell errors.
#3433376 by damienmckenna, ankitv18, murilohp, project update bot, jrglasgow,
  chandu7929: Automated Drupal 11 compatibility fixes.
#3311415 by grevil, damienmckenna, anybody: Allow to trim special characters
  from the end.
#3470415 by murilohp, waspper, damienmckenna: Support the commerce_store entity
  type.
#3466343 by damienmckenna, eyesyte: Support the comment entity type.
#3377205 by damienmckenna, grevil, gillesbailleux, anybody: Allow OG "See also"
  to have multiple values.
#3469049 by damienmckenna, ankitv18, anybody: Minor typo in metatag.install.
#3380911 by naveenvalecha, abhisekmazumdar, eleonel, anybody, damienmckenna,
  2dareis2do, joachim: Add Custom Meta as a submodule.
#2952675 by biancaradu27, loze, alvar0hurtad0, id.conky, damienmckenna,
  marysmech, musa.thomas, justskew, smavri, anybody, jason.bell, waldomero,
  zaporylie: Add support for contextual path arguments.
#3426426 by damienmckenna, erwangel: Explain that the Administer Metatag
  permission does not control access to the per-entity field.
#3422406 by eduardo morales alberti, sascha_meissner, damienmckenna: Generate
  tokens values method does not take into account the entity language.


Metatag 2.0.2, 2024-08-05
-------------------------
#3465991 by podarok, DamienMcKenna: Allow installation on Drupal 11 via
  composer.json.


Metatag 2.0.1, 2024-08-05
-------------------------
#3370486 by DamienMcKenna, arti_parmar: Use second argument on all unserialize()
  calls.
#3386862 by DamienMcKenna: Additional entity types to ignore.
#3390226 by DamienMcKenna: Normalize the composer.json file using
  ergebnis/composer-normalize.
#3408825 by DamienMcKenna: Remove Devel, WebProfiler tests.
#3413633 by Nikolay Shapovalov, DamienMcKenna, Mingsong: Fix tests for,
  compatibility with Drupal 10.2.
#3404463 by pilot3, DamienMcKenna, Nikolay Shapovalov, naveenvalecha: Add Gitlab
  CI test file.
#3421648 by morgannc, DamienMcKenna: Fixed some coding standards issues.
#3423881 by DamienMcKenna: Merge NodeTranslation into
  MetatagNodeTranslationTest.
#3433055 by DamienMcKenna: Fixed test filenames.
#3447058 by DamienMcKenna: Update info files for Drupal 11.
#3462134 by ankitv18, DamienMcKenna: Fix phpcs and cspell issues.
#3454762 by johnjw59@gmail.com, DamienMcKenna: Page Manager meta tags added
  twice.
#3460593 by DamienMcKenna, porchlight, acbramley: Update MetatagFieldBuilder
  ::build for compatibility with Diff v2.
#3423428 by DamienMcKenna, naveenvalecha: cspell, stylelint coding standards
  fixes.


Metatag 2.0.0, 2023-06-27
-------------------------
#3364475 by DamienMcKenna: Update scripts to convert JSON data on revision
  tables.
#3364554 by DamienMcKenna: Fix
  metatag_post_update_v2_02_remove_entity_values() to work on revisions.
#3367318 by DamienMcKenna: Update post-update scripts per #3367290.
#3367071 by pvbergen, DamienMcKenna: Custom separator also used for string
  concatenation.
#3370353 by jwilson3, DamienMcKenna: Fix spelling of "processsed".


Metatag 2.0.0-rc2, 2023-05-30
-----------------------------
#3363582 by DamienMcKenna: Fix tests in 2.0.x branch.
#3363582 by DamienMcKenna: Resolve problems with field serialization changes.


Metatag 2.0.0-rc1, 2023-05-26
-----------------------------
#3164404 by DamienMcKenna: Rewrite tags testing architecture.
#3305586 by DamienMcKenna: Remove Panelizer support.
#3272768 by DamienMcKenna, SandeepSingh199: Convert to JSON data storage.
#3326103 by DamienMcKenna, harshitthakore: Remove the old TypedData plugin for
  Search API integration.
#2973351 by DamienMcKenna, Simon Georges, thejimbirch: Remove News Keywords and
  Standout meta tags.
#3328352 by DamienMcKenna: Bump core requirements to 9.4.0.
#3329071 by DamienMcKenna: Removed a file that was accidentally added again.
#3325139 by DamienMcKenna: Update TestV2Updates to be compatible with 9.4.x.
#3067803 by DamienMcKenna, KarenS, aludescher, jonathan_hunt, basvredeling,
  owenbush, osopolar, peter3bweb, brunodbo, robertshell22, thejimbirch: Use
  custom delimiter instead of commas for multiple values.
#3333595 by DamienMcKenna: Tidy codebase after custom separator logic was added.
#3065441 by DamienMcKenna, eelkeblok, solideogloria: Disable, uninstall
  Metatag: Google Plus.
#3065441 by DamienMcKenna: Follow-up to make post-update scripts names generic
#2973351 by DamienMcKenna: Test coverage for removal of News Keywords, Standout
  meta tags.
#3132065 by DamienMcKenna: Remove deprecated Twitter Card plugins.
#3334901 by DamienMcKenna: Rename v2 post-update scripts to control execution
  order.
#3217263 by DamienMcKenna, peduardo, thejimbirch, dtfabio, Liam Morland,
  murilohp: Remove deprecated obsolete meta http-equiv="content-language".
#3305566 by DamienMcKenna, kenyoOwen: Remove APIs deprecated in Metatag 8.x-1.x.
#3065441 by DamienMcKenna: Remove all four GooglePlus meta tags.
#3305753 by DamienMcKenna: Add return types on all custom class methods.
#3335741 by DamienMcKenna: Indicate the module now requires PHP 8.0.
#3336234 by DamienMcKenna: V2 config update scripts don't work as intended.
#3132062 by DamienMcKenna, igork96: Remove deprecated Twitter Card types.
#3132062 by RenatoG: Tidied up post-update code.
#3335302 by DamienMcKenna: Follow-up to fix a v2 regression.
#3358950 by DamienMcKenna: Update metatag_data_encode() to the v2 storage
  method.
#3083743 by DamienMcKenna: Follow-up to fix tests for new Robots tags.
#3106383 by DamienMcKenna: Follow-up to fix tests for removed Robots options.
#3361816 by DamienMcKenna: Remove deprecated Google Rating tag.
#2945817 by DamienMcKenna, mglaman, AndyF, yobottehg, mayurngondhkar, rutel95,
  mrweiner, GRO, robpowell, Wim Leers, gabesullice, axle_foley00, s_leu,
  robertom, superbiche, vaibhavjain, garphy, rakesh.gectcr, neclimdul, -enzo-,
  rollsd, yovince, sime, phenaproxima, faysal.turjo, Mykola Dolynskyi, slucero,
  wstocker, joshua.boltz, apmsooner, ebeyrent, osman, hitesh.koli, achap,
  marc.groth, bgrobertson, ainarend, dan2k3k4, sonnykt: Support JSON API, REST,
  GraphQL and custom normalizations via new computed field.


Metatag 8.x-1.26, 2023-06-27
----------------------------
#3364554 by DamienMcKenna: Made v1 fixture data more consistent.
#3355945 by Ranjit1032002, Anwoon, DamienMcKenna: Deprecated function:
  html_entity_decode(): Passing null to parameter #1 ($string) of type string is
  deprecated in metatag_preprocess_html().
#3366264 by DamienMcKenna: Tidy Metatag v1 fixture, replace serialized strings
  with regular arrays.
#3366285 by DamienMcKenna: Work out solution for binary data in Metatag v1
  fixture file.
By DamienMcKenna: Run updates in batches of 100 records, not 10.
#3367290 by DamienMcKenna: Streamline the post update scripts.
#3366933 by DamienMcKenna, Jabastin Arul, dk-massive: Errors in field
  configuration can lead metatag_post_update_remove_robots_noydir_noodp() to
  fail.


Metatag 8.x-1.25, 2023-05-31
----------------------------
#3363189 by DamienMcKenna, floown, jvizcarrondo, uditrawat:
  metatag_post_update_remove_robots_noydir_noodp() fails on entity types without
  revision support.
g#3363315 by DamienMcKenna: metatag_post_update_convert_author_data() doesn't
  update the revisions tables.
#3363231 by DamienMcKenna, jan kellermann: remove_robots_noydir_noodp:
  TypeError: explode(): Argument #2 ($string) must be of type string, array
  given.
#3363366 by marcoscano, DamienMcKenna: metatag_generate_entity_metatags() no
  longer accepts NULL, causing BC-breaking change.
#3362195 by DamienMcKenna, jayvolk: Wording improvements for Twitter Player Card
  field descriptions.


Metatag 8.x-1.24, 2023-05-26
----------------------------
#3083743 by Eugene Bocharov, DamienMcKenna, bserem, gkannan25, osopolar,
  timohuisman, akalam, zcht, druhu, maticb, vuil: Add Google's new robots tags.
#3360836 by DamienMcKenna: Nodewords migration triggers wrong API.
#3106383 by DamienMcKenna, fathima.asmat: Remove the NOYDIR option on ROBOTS
  tag.
#3106384 by DamienMcKenna: Remove the NOODP option on ROBOTS tag.
#3298064 by DamienMcKenna: Deprecate Google CSE Ratings tag.
#3362522 by DamienMcKenna: Fix meta tag output sort order.
#3362760 by DamienMcKenna: Deprecate normalization plugins.
#3361309 by DamienMcKenna: Update migration status.


Metatag 8.x-1.23, 2023-05-12
----------------------------
#3312950 by DamienMcKenna, nkraft: Warning: Undefined array key "href" in
  Drupal\metatag_favicons\Plugin\metatag\Tag\MaskIcon->output().
#3313273 by DamienMcKenna, jenger1965, wells, JesperN, othermachines,
  flocondetoile: Incorrect unserialization error logged.
#3323467 by DamienMcKenna: Wrong source module for Nodewords migrations.
#3326102 by DamienMcKenna: Deprecate TypedData plugin (for Search API
  integration).
#3327418 by Steven Jones, DamienMcKenna: Trivial typo in description of
  metatag_routes module.
#3329070 by DamienMcKenna: Remove remaining Console references.
#3329071 by DamienMcKenna: Deprecate some Twitter Card plugins.
#3329362 by Project Update Bot, DamienMcKenna: Minor improvement to
  metatag.api.php.
#3323961 by ressa, DamienMcKenna: Update README.md with new standard format.
#3332348 by DamienMcKenna: Add function for getting list of overridden meta tags
  for a given entity.
#3314204 by DamienMcKenna, joshua.boltz: Handling of single vs multiple-value
  metatags with Search API integration.
#3299222 by DamienMcKenna: Mobile tags are not overwriting core's tags as
  expected.
#3329792 by DamienMcKenna, sahil.goyal, amanshukla6158: Drupal coding standards
  issues.
#3334601 by DamienMcKenna: Backport fixture file from 2.0.x.
#2973351 by DamienMcKenna: Updated fixtures file.
#3132065 by DamienMcKenna: Updated fixtures with Twitter Cards data.
#3217263 by DamienMcKenna: Updated fixtures file for content-language tag.
#3065441 by DamienMcKenna: Updated fixtures file with more Google Plus values.
#3132062 by DamienMcKenna: Updated fixtures with Twitter Cards Type data.
#3336234 by DamienMcKenna: Add UUID values to fixture config items.
#3335688 by idebr, DamienMcKenna: Document meta name="referrer" relationship
  with Referrer-policy HTTP header.
#3132062 by DamienMcKenna: Updated fixtures with some documentation and todo's.
#3350298 by DamienMcKenna: Backport metatag_data_decode() from v2.
#3351181 by godotislate, DamienMcKenna: Missing access checks on entity queries
  in metatag_open_graph update hooks.
#3352508 by DamienMcKenna, klimp: Resolve access check errors for D10
  compatibility.
#3353594 by mukesh88, rckstr_rohan, DamienMcKenna: Spellung misteaks.
#3353826 by DamienMcKenna: Add default settings file.
#3325035 by Panchuk: View page meta tags can be overridden by view block that
  placed on same page.
#3335302 by DamienMcKenna, bsnodgrass, Anna D: Deprecated function:
  str_replace() line 432 MetaNameBase.php.
#3308774 by achap, DamienMcKenna: Allow modules to alter views before building
  meta tags.
#3336301 by RenatoG, DamienMcKenna: Unnecessary else in
  metatag_post_update_convert_author_data().
#3358948 by DamienMcKenna: Add a function for abstracting the field data
  encoding method.
#3359952 by DamienMcKenna: Rename logo file to just "logo.png".
#3351558 by parisek, DamienMcKenna: Translation of meta tags is limited to 128
  characters.
#3356420 by DamienMcKenna, jwilson3, PapaGrande: Character count on fields via
  Maxlength integration.


Metatag 8.x-1.22, 2022-09-29
----------------------------
#3299228 by DamienMcKenna: Refactor favicon meta tags.
#3298081 by DamienMcKenna: Deprecate Google Plus meta tags.
#3299229 by DamienMcKenna, thejimbirch: Deprecate news_keywords, standout meta
  tags.
#3300806 by heddn, DamienMcKenna: hreflang_per_language not in config schema.
#3302675 by DamienMcKenna: Fix $modules definitions in tests.
#3034248 by DanielVeza, chadmandoo, DamienMcKenna, jwilson3, justin2pin, InaW,
  ChandeepKhosa, thejimbirch, pianomansam, FiNeX: Promote use of Token Or
  module to make tokens more flexible.
#3302685 by DamienMcKenna: Tiny changes from tests refactoring.
#3303196 by DamienMcKenna: Add extra isSOMETHING() methods to MetaNameBase.
#3304779 by luigisa, DamienMcKenna: MetatagManager::processedTokenCache() does
  not respect the entity language.
#3302969 by DamienMcKenna: Refactored MetaNameBase output logic.
#3252150 by andregp, DamienMcKenna, phenaproxima, Berdir, elber, japerry,
  Kristen Pol: Drupal 10 compatibility.
#3305580 by DamienMcKenna: Deprecate Panelizer integration.
#3304488 by RandalV, DamienMcKenna: metatag_get_route_entity() does not check
  if the entity parameter is an actual entity.
#3306039 by DamienMcKenna: Recover lost WebProfiler test script.
#3303424 by DamienMcKenna: Android, iOS app alternate link tags don't work
  correctly.
#3306085 by DamienMcKenna, Berdir: Replace "bartik" theme in tests.
#3305322 by DamienMcKenna: Remove the verbose() test methods.
#2767107 by DamienMcKenna, Antares89: Add support for the Diff module.
#3311343 by Anybody, DamienMcKenna: Metatag routes misses package name SEO in
  info.yml.
#2901039 by rcodina, tsplash, DamienMcKenna, Wannes DR, mErilainen,
  weekbeforenext, natemow, mpp, borisson_, AMDandy, jenniferaube, klmd302: Add
  a TypedData plugin to support Search API.
#3311542 by DamienMcKenna, lostcarpark, lucassc: Add new Metatag logo files,
  update tests to use them.
#3024450 by DamienMcKenna, DantonMariano, Tаo, michaellenahan, mdmanouwer,
  Ahmed.Raza, lexsoft00, ndobromirov, Endika Melero: Log when there are problems
  unserializing the meta tag data.
#3309850 by DamienMcKenna: Skip token processing if there are no tokens in the
  value.
#3305751 by DamienMcKenna: Fix coding standards issues.
#3311891 by DamienMcKenna, GiorgosK: MaskIcon::setValue() should not set a NULL
  value.
#3311911 by DamienMcKenna: TypedData logic has an error.
#3261473 by DamienMcKenna, saidatom, claudiu.cristea, heddn, Evaldas Užkuras,
  Eugene Bocharov: Views cache wrapper overrides other modules cache logic.


Metatag 8.x-1.21, 2022-07-16
----------------------------
#3268439 by Dave Reid: Follow-up to fix the scroll height feature.
#3295600 by DamienMcKenna, saranchuk_hys, Eugene Bocharov, Didier Misson,
  loopy1492, Maplinx, W01F, jaydub, kazah: MaskIcon doesn't work properly.
#3295757 by sleitner, DamienMcKenna: Fix regression from Google tag fix.


Metatag 8.x-1.20, 2022-07-12
----------------------------
#3257588 by Eugene Bocharov, lobodacyril, jippie1948, Kasey_MK, djween, awasson,
  DamienMcKenna, Valdes14, laura.florey, stacypendell: DB update hangs at
  metatag 8109 - Update mask_icon values to the new structure.
#3258978 by heddn, DamienMcKenna: tokenize not in config schema for
  metatag_display_extender.
#3258346 by Eugene Bocharov, jedgar1mx, 4kant, Renrhaf, DamienMcKenna, kriboogh:
  Error: Call to a member function __wakeup() on null.
#3113761 by DamienMcKenna, thalles, rokzabukovec, Diego_Mow, urvashi_vora:
  Coding standards cleanup.
#3261505 by DamienMcKenna, Eugene Bocharov, Sergiu Stici: In php 8.1 the explode
  function throws a notice when default value is null.
#3265679 by DamienMcKenna: Additional coding standards bugs.
#3241256 by ndf, sabina.h, idebr, DamienMcKenna: Remove redundant HTTP headers
  for canonical and short_link tags.
#3262308 by YahyaAlHamad, DamienMcKenna: metatag_update_8109 fails because of
  unknown column.
#3261467 by DamienMcKenna, HnLn: in php 8.1 preg_match in
  metatag_get_route_entity throws notice when route is null.
#3266326 by victoria-marina, Guilherme Rabelo, DamienMcKenna: Use Dependency
  Injection in MetatagManager.
#3265567 by DamienMcKenna, Anatolij Zajika, PCate: PHP8 undefined array key
  "description".
#3266406 by szato, DamienMcKenna: Don't assume the 'first_row_tokens' cache key
  is defined.
#3264449 by DamienMcKenna, gilles_webstanz: Trim og:description doesn't work.
#3258427 by Eugene Bocharov, mrshowerman, saranchuk_hys, phthlaap, apaderno,
  Kulturmensch, DamienMcKenna, quicksketch: TypeError: preg_match_all():
  Arg #2 ($subject) must be of type string, array given in preg_match_all().
#3258358 by Eugene Bocharov, sashken2, DamienMcKenna, modernrockstar: Empty
  values saved in 'mask_icon' meta tag.
#3269670 by DamienMcKenna, sd123: Trimming even trims metatags shorter than the
  limit.
#3269742 by DamienMcKenna, z3cka: Migrate D7 Product Display node metatag data
  to D9 Drupal Commerce Product entities.
#3280904 by DamienMcKenna, 3li: Automatic conversion of false to array is
  deprecated.
#3278924 by lamp5, DamienMcKenna: Translation of title metatag is limited to
  128 characters.
#3271284 by Shashwat Purav: Double occurrences of word "the".
#3257520 by er.garg.karan, DamienMcKenna: Default Drupal favicon icon on core
  before 9.3.
#3281987 by DamienMcKenna: Sort configuration items prior to saving.
#3284465 by DamienMcKenna, murilohp: Deprecated obsolete meta
  http-equiv="content-language".
#3270951 by marciaibanez, tmaiochi, Guilherme Rabelo, chakkche, DamienMcKenna:
  Coding standards improvements.
#3112509 by DamienMcKenna, ciprian.stavovei, Renrhaf, sitiveni: Convert
  "author" tag to HTML 5.2 spec, deprecate Google+ Author tag.
#3280745 by DamienMcKenna, Anybody: Trimming should use multibyte functions.
#3112509 by DamienMcKenna: Fix regression in Google+ tests.
#2563655 by DamienMcKenna, waldomero: Absorb Metatag Routes module to allow
  per-path/route configurations.
#3268439 by chakkche, bygeoffthompson, DamienMcKenna, Ruturaj Chaubey: Optional
  overflow control on expanded Metatag field widget.
#3231981 by sanduhrs, DamienMcKenna: Add support for SIWECOS website security
  scanner.
#3198100 by thejimbirch, DamienMcKenna, sriharsha.uppuluri: Two Google meta tags
  conflict with each other.
#3077442 by daniel.bosen, DamienMcKenna, esdrasterrero, Vivek Panicker,
  Supreetam09, rigoucr: Current language through the language manager doesn't
  work (decoupled site).
#3295569 by DamienMcKenna: 8.x-1.x tests fail against PHP 7.3.


Metatag 8.x-1.19, 2022-01-06
----------------------------
#3104170 by DamienMcKenna, tobiasb, marcoliver, hosterholz, Berdir: Do not send
  empty Metatag descriptions through translation.
#3255547 by Eugene Bocharov, Thomas Kaisuka, Stephen Ollman, glynster, oxy86,
  Matthijs, Mahmoud Barhouma, DamienMcKenna, wells: View preview broken after
  Metatag upgrade.
#3255731 by acbramley, DamienMcKenna, tim.anderson: Undefined array key errors
  from metatag_update_8109.
#3256373 by DamienMcKenna, Kulturmensch: WebManifest::output() doesn't verify
  output is array before adding new element.


Metatag 8.x-1.18, 2021-12-21
----------------------------
#3255342 by Eugene Bocharov, trickfun, DamienMcKenna, paulocs: Table
  'db.node__field_meta_tags' doesn't exist.


Metatag 8.x-1.17, 2021-12-20
----------------------------
#3210890 by DamienMcKenna: Convert the README.txt to a markdown file.
#3210433 by DamienMcKenna, byybora: Documented a solution for when the meta tags
  are not output.
#2952229 by Charlie ChX Negyesi, DamienMcKenna, joseph.olstad, solide-echt:
  Allow Views meta tags to "Use replacement tokens from the first row".
#3223680 by DamienMcKenna, Eugene Bocharov: Test errors 8.x-1.x branch with
  Drupal 9.2.
#3219963 by AndyThornton, DamienMcKenna: _metatag_is_entity_route_entity static
  cache problematic.
#3227367 by DamienMcKenna: Replace uses of static with drupal_static().
#3228362 by narendraR, DamienMcKenna: SQL error when migrating non-UTF8 meta
  tags.
#3230747 by segovia94, DamienMcKenna: Defaults UI page has malformed HTML
  markup.
#3231725 by DamienMcKenna: Replace t() calls with (string) new
  TranslatableMarkup().
#3158395 by Kasey_MK, geekygnr, DamienMcKenna, mherchel: Avoid similar-sounding
  links with different purposes.
#3204262 by jplanginier, DamienMcKenna: PHP version declared in composer.json
  isn't valid regarding current code.
#3170178 by geekygnr, dionsj, DamienMcKenna: Allow widget to use regular
  container instead of details.
#3243815 by DamienMcKenna, jastraat: 401 error on Web Manifest.
#3248439 by lamp5, DamienMcKenna: Schema for icon mask is missing.
#3248361 by COBadger, DamienMcKenna: Correct README.md instruction on adding
  bundle defaults.
#3189429 by Eugene Bocharov, bwaindwain, nJim, DamienMcKenna: "title" token
  doesn't work as expected.
#3244106 by Nikhilesh Gupta, nJim, DamienMcKenna: New coding standards: Inline
  @var declarations should use the /** */ delimiters.
#3252359 by murilohp, DamienMcKenna: Remove workarounds for Drupal 8, update
  references to say "Drupal 9".
#3252354 by tijsdeboeck, DamienMcKenna: Fix small typo in
  metatag_extended_perms.info.yml.
#3240989 by anagomes, DamienMcKenna, Berdir: Not marking service definitions as
  public is deprecated.
#2958193 by Grevil, Anybody, DamienMcKenna, nikhileshpaul: Automatically trim
  meta tag lengths.
#3247678 by esolitos, DamienMcKenna: Support migration with multiple "d7_*"
  sources.
#2914998 by JeroenT, DamienMcKenna, gngn, ytsurk: Add the mask icon "color"
  attribute.
#3205932 by dalin, DamienMcKenna: Add noindex to "403 access denied" defaults.
#3229004 by larisse, Rar9, DamienMcKenna: Undefined index: hreflang in
  metatag_hreflang_page_attachments_alter().
#3190804 by DamienMcKenna, Wim Leers: Allow source counts to be cached:
  implement ::doCount() instead of ::count().
#3252159 by DamienMcKenna, Eugene Bocharov: Fix tests compatibility with Drupal
  9.3.x.
#3253736 by Dave Reid, zebda, DamienMcKenna: favicon meta tag was renamed in
  Drupal 9.3.0.
#3223289 by DamienMcKenna, introfini: Added product:retailer_item_id.
#3230393 by introfini, DamienMcKenna: Added product:availability and
  product:condition.
#3209938 by Sutharsan, murilohp, DamienMcKenna: Edit form title does not contain
  path.
#3218647 by luisrhaas, DamienMcKenna, Anybody: Remove line breaks from meta tag
  output.
#3254423 by andregp, DamienMcKenna: Replace deprecated APIs in tests.
#3254597 by DamienMcKenna: Remove Console integration.
#2761909 by roshkovanv, andrewsuth, greenSkin, plach, Boobaa, DamienMcKenna,
  lmeurs, seancasey: og:image does not parse url from image field properly when
  there is a comma in the alt field.


Metatag 8.x-1.16, 2021-03-15
----------------------------
#3186893 by DamienMcKenna: Document how to update from Metatag Access to Metatag
  Extended Perms.
#3187583 by jrb: Syntax error when running PHP 7.0.
#3187898 by rutiolma: Comply with migrations using migrate_upgrade.
#3182548 by DamienMcKenna: Fix tests on 8.x-1.x branch for D9.1.
#3158186 by siddhant.bhosale, rahulrasgon, rokzabukovec, sabina.h,
  DamienMcKenna: Replace usages of assertions that are deprecated.
#3186770 by mortim07: System status report page indicates Metatag's token types
  do not have any tokens defined.
#3188806 by mortim07, acbramley, DamienMcKenna: Check if the entity being viewed
  is the route entity.
#3188839 by mortim07, DamienMcKenna, mrshowerman, FiNeX, bwaindwain: Node tokens
  missing.
#3189138 by bwaindwain, DamienMcKenna: Form element still visible even though
  permissions turned off.
#3191109 by thalles: Replace deprecated Drupal\KernelTests\AssertLegacyTrait
  ::assertEqual by $this->assertEquals().
#3190808 by Wim Leers, DamienMcKenna: Do not run a "table exists" query for
  every migrated row of data (regardless of whether it's a metatag row or not!).
#3193523 by DamienMcKenna: Removed files accidentally committed.
#3189850 by cmod, DamienMcKenna, J-Lee: Undefined index: href in
  metatag_page_attachments().
#3077781 by thejimbirch, DamienMcKenna, mmbk, cindytwilliams: Remove references
  to the amphtml meta tag.
#3193502 by DaliaMoh, aritrika.d, DamienMcKenna: Extra if() statement in
  _metatag_is_migration_plugin_supported().
#3123583 by DamienMcKenna, Berdir, jonathan1055: Add Devel dependency, tests
  back again.
#3199122 by DamienMcKenna, thejimbirch: Fix compatibility with Drupal 9.
#3199060 by Santhosh-Kumar-Rengasamy, DamienMcKenna: Custom Migration dependency
  issue for d7 migrate process plugin.
#2930291 by dobe, trobey, DamienMcKenna, sylus: Expand all text fields to allow
  1,024 characters.
#3202865 by stmh, DamienMcKenna: logic in generateRawElements does not work with
  hreflangs.
#2941632 by bgilhome, rokzabukovec, DamienMcKenna, yannickoo, thejimbirch:
  og:latitude/longitude have been replaced by place:location:latitude/longitude.
#3196133 by leopathu, DamienMcKenna: Exclusive robots metatags (index, noindex,
  follow, nofollow) in Entity Form.
#3145078 by DamienMcKenna, mrinalini9, amjad1233, vijaycs85, dww: Possibly wrong
  use of $modules array in setUp() for functional tests.
#3196067 by Ruslan Piskarov, DamienMcKenna, mohit.bansal623: Notice: Undefined
  offset: 2 in metatag_tokens() (line 218 of metatag.tokens.inc).


Metatag 8.x-1.15, 2020-12-05
----------------------------
#3165112 by Wim Leers, tim.plunkett: Metatag migrations should be tagged
  "Configuration".
#2782797 by DamienMcKenna, Rolf van de Krol, michaelpetri, mvwensen, mxr576,
  Alex G: Allow each tag to have its own permission (merge Metatag Access).
#3180470 by SivaprasadC: Typos in couple of files.
#3169952 by Wim Leers, tim.plunkett: Derive metatag migrations by entity type
  (and bundle).
#3171660 by richgerdes, DamienMcKenna: Migration Plugin Alter breaks with
  commerce_migrate_commerce.
#3176513 by mglaman: \Drupal\metatag\MetatagManager::defaultTagsFromEntity
  should not return null.
#3166569 by munish.kumar, yogeshmpawar, Dom.: Add Facebook verification meta
  header.
#2994433 by DamienMcKenna, ChandeepKhosa, vishnukumar, Berdir, joakland,
  pdenooijer, benstjohn, muranod: Automatically parse URLs from image field
  tokens.
#3171302 by ankithashetty, DamienMcKenna: \Drupal calls should be avoided in
  classes, use dependency injection instead.
#2996883 by rokzabukovec, mrinalini9, thejimbirch, DamienMcKenna, Nchase,
  Schwarz Developing: Sorting the output of meta tags.
#3135365 by novchuk.v, mero.S: Replace assertions involving calls to empty()
  with assertEmpty()/assertNotEmpty()/assertArrayNotHasKey().
#2782797 by DamienMcKenna: Added missing $defaultTheme test variable.
#3159192 by heddn: Hide from translation system from unsupported entities.
#3175269 by mbovan, DamienMcKenna: Pass optional bubbleable metadata parameter
  to generateRawElements to avoid issues with early rendering and JSON:API.
#3154416 by novchuk.v: Replace assert* involving an instanceof operator with
  assertInstanceOf()/assertNotInstanceOf().
#3170298 by thejimbirch: Provide link to Facebook Open Graph debugger.
#3136470 by novchuk.v: Replace assertEqual()/assertSame() with count() with
  assertCount().
#3108052 by Berdir, SpadXIII: metatag_get_default_tags() does not revert config
  override language.
#2862747 by JeroenT, DanielVeza, rwohleb, joshua.boltz, henrikakselsen,
  Vitalyos, Phil Wolstenholme: Tokens to access individual meta tag values.
#3154513 by rokzabukovec: Exclusive robots metatags (index, noindex, follow,
  nofollow).


Metatag 8.x-1.14, 2020-08-11
----------------------------
#3129664 by phenaproxima: Fix failure in MetatagPageManagerTest.
#3154149 by alexpott, DamienMcKenna, mrinalini9, rokzabukovec: Refactored
  entity migration test to use new API added in 8.9.x; skip this test on 8.8.
#3154891 by DamienMcKenna: Rename test fixtures to be one file per source
  module.
#3129863 by DamienMcKenna, kyuubi, azedan, lcontreras, havran, markie: Revert
  compatibility with GraphQL 4 to avoid breaking existing sites.
#3131380 by lolandese, volkswagenchick: License "GPL-2.0+" is a deprecated SPDX
  license identifier.
#3130250 by Andrew Gorokhovets: Typo in the comment class name
  (MetatagViewsTranslationForm).
#3134665 by Neslee Canil Pinto, rokzabukovec: Correct description of
  OgImageWidth.php file.
#3158613 by huzooka, DamienMcKenna, Wim Leers: Metatag field instance migration
  source plugins report incorrect number of items.
#3136075 by s_leu, fjgarlin, mirom, DamienMcKenna: D9 Compatibility -
  pre_render should be method implementing TrustedCallbackInterface.
#3153911 by alexpott, mrinalini9: Improve logic in metatag_page_attachments()
  and make code comments more clear.
#3077782 by DamienMcKenna, rokzabukovec, rahulrasgon: Add missing OG tags.


Metatag 8.x-1.13, 2020-04-21
----------------------------
#3123520 by DamienMcKenna, phenaproxima: Remove Schema.org Metatag dependency
  for D9.
#3123582 by DamienMcKenna: Remove Devel dependency for D9.
#3123577 by DamienMcKenna: Remove RestUI dependency for D9.
#3042590 by phenaproxima, SerShevchyk, chr.fritsch, Berdir, pixlkat, abramm,
  Cary_Dean, pguillard, gmangones, DamienMcKenna, josephdpurcell, waverate,
  joshi.rohit100, baikho, valthebald: Drupal 9 compatibility fixes.
#3124039 by Grayle: Migration plugins alter does not check for presence of
  migration_tags.
#3124042 by Neslee Canil Pinto: t() calls should be avoided in classes, use
  \Drupal\Core\StringTranslation\StringTranslationTrait and $this->t() instead.
#3042590 by Berdir: Reworked NodewordsFieldInstance to make it compatible with
  core 8.7.
#3039627 by larowlan, acbramley: metatag_entity_view_alter runs for every
  paragraph, resulting in a performance hit.
#3124175 by Neslee Canil Pinto: Remove Unused .module file inside
  tests/modules/metatag_test_tag.
#3124205 by DamienMcKenna, Berdir: Remove test_dependencies from
  metatag.info.yml.
#3123578 by DamienMcKenna, Berdir: Add NodeJsonOutput test back again.
#3124042 by Neslee Canil Pinto: Follow-up with more changes.
#3123578 by DamienMcKenna: Removed restui dependency from test's modules list.
#3123578 by DamienMcKenna: Some follow-up on D9 test compatibility.
#3128281 by DamienMcKenna: Fix Page Manager tests in the 8.x-1.x branch.
#3123665 by DamienMcKenna, Greenhorn, milan.durovic, explorerinruins, floown,
  karenann, maxilein, Dave Reid, HNS-IT-Solutions, doar1004, sthomen: Filler
  update script to trigger rebuild of caches due to service changes.
#3129331 by DamienMcKenna: Resolve problems with MetatagViewsBasicsTest::
  testViewsUi.
#3129357 by DamienMcKenna: Standardize on assertSession()->statusCodeEquals
  instead of assertResponse().


Metatag 8.x-1.12, 2020-03-30
-------------------------------
#3102937 by yasmeensalah, Berdir: Plugin AlternateHandheld is misnamed.
#3103725 by thalles: Create kernel test to Form\MetatagSettingsForm.
#3105837 by Berdir: Remove metatag_install().
#3105343 by Kionn, DenisCi: Maintenance mode message shown on settings forms
  when site is not in maintenance mode.
#3102582 by DamienMcKenna, dbourrion: Change uses of http:// to https://.
#3101532 by DamienMcKenna, heddn, slv_: Only attach Metatag migration field
  logic on 'Drupal 7' migrations, e.g. core upgrades.
#3102602 by jedihe, Gnanagowthaman sankar, thalles, DamienMcKenna, Berdir: Use
  DI to add services to the settings form.
#3106609 by bygeoffthompson, Daniel Korte, DamienMcKenna, Maya Slatinek,
  mrshowerman, BryanDeNijs: The Basic Description field has a maxlength of 255
  but recommends 320 or less.
#2841737 by DamienMcKenna, andyg5000, harold20, jmolivas, jim22: DrupalConsole
  commands not working.
#3111878 by Hardik_Patel_12: Remove unused GenerateTagCommand::
  validateGroupExist().
#3111875 by Hardik_Patel_12: Replace \Drupal calls with dependency injection in
  MetatagFirehose.php.
#3111900 by Hardik_Patel_12: Replace \Drupal calls with dependency injection in
  MetatagViewsTranslationController.
#3109835 by phenaproxima: Declare compatibility with Drupal 9.
#3113481 by thalles: Fix subclassing and stop overriding constructors in
  metatag_views\Plugin\views\display_extender\MetatagDisplayExtender.
By DamienMcKenna: Minor code readability tweak.
#3045641 by DamienMcKenna, heddn, mikelutz: Migrations: Nodewords-D6 per-entity
  data.
#3112784 by thalles: Missing doc comment into Create method to $instance
  metatag\Form\MetatagSettingsForm.
#2844696 by DamienMcKenna, Michelle: Allow the field to control whether it is
  displayed in the sidebar or not.
#2993991 by DamienMcKenna, jcnventura, raphaeltbm, Geolim4, SteffenR, xurubo93,
  GuillaumeDuveau, joehuggans, mmaldonado: Metatag_hreflang - duplicate
  alternate hreflang meta.
#3110152 by DamienMcKenna, antongp: testTagsArePresent() and
  testTagsInputOutput() methods of the MetatagTagsTestBase class do not loop
  through child classes $tags property; updated all tests as necessary.
#3114120 by felribeiro, DamienMcKenna: Recommend "description" tag be less than
  ~160 characters.
#3115634 by DamienMcKenna: Refactor MetatagManager::generateRawElements() to
  create token arguments once per call.
#3001282 by maximpodorov, DamienMcKenna: Support hasAffectingChanges method of
  FieldItemList.
#3106870 by DamienMcKenna: Improve UX around OG "secure" meta tags.
#3120981 by DamienMcKenna: NodewordsFieldInstanceTest uses the wrong source
  plugin.
#3120331 by thalles: Add directive docs into support section of composer file.
#3121289 by Dave Reid, DamienMcKenna: Normalize token types using the Token
  module mapper service.
#3120947 by DamienMcKenna, quietone: Expand FieldInstanceTest classes to handle
  multiple bundles per entity type.
#3122683 by Neslee Canil Pinto: Capitalize the name of the module in .info file.
#3110152 by DamienMcKenna, antongp, Lendude: testTagsArePresent() and
  testTagsInputOutput() methods of the MetatagTagsTestBase class do not loop
  through child classes $tags property.


Metatag 8.x-1.11, 2019-12-20
----------------------------
#3074603 by jrockowitz, thejimbirch, cindytwilliams, DamienMcKenna: Add
  og:video:duration tag.
#3084547 by baikho, DamienMcKenna, SerShevchyk: Move submodule tests in
  /tests/Functional folder.
#3082119 by thejimbirch, cindytwilliams, DamienMcKenna: Add option name in
  ROBOTS selector.
#3052628 by Neslee Canil Pinto, cindytwilliams, DamienMcKenna: Capitalize the
  name of the favicons submodule.
#3077780 by thejimbirch, volkswagenchick, DamienMcKenna: Add new meta tag:
  Google's new "handheld" link alternate URL.
#3077773 by gueguerreiro, cindytwilliams, DamienMcKenna: Add new meta tags:
  rel=prev / rel=next.
#3077774 by thejimbirch, cindytwilliams, DamienMcKenna: Add new meta tag:
  Refresh.
#3077776 by DamienMcKenna, thejimbirch, cindytwilliams: Add new meta tag:
  Revisit-After.
#3077772 by DamienMcKenna, thejimbirch, volkswagenchick, cindytwilliams: Add new
  meta tags: pragma, cache-control, expires.
#3001387 by mbovan, Berdir, kell.mcnaughton, DamienMcKenna: Extend meta tag
  definition to allow some tags to use a textarea instead of text field, e.g.
  og:description.
#2908527 by lapek, DamienMcKenna, christian.rolf, DrColossos: Views overwritten
  title in contextual filter.
#3087329 by Martijn de Wit, DamienMcKenna: Use HTTPS links instead of HTTP to
  external sites in metatag_open_graph.module.
#3057582 by jrearick, DamienMcKenna, Dave Reid, sunset_bill, dspachos:
  SchemaWebPageTest not found.
#3080314 by matteodem, DamienMcKenna: Load metatag defaults based on entity
  language.
#3072165 by vuil, DamienMcKenna: Coding standards improvements.
#3074350 by jrockowitz, DamienMcKenna: Create Meta plugin report.
#3074350 by DamienMcKenna: Follow-up to fix some API mismatches.
#3096936 by DamienMcKenna, thejimbirch, rubyji: Add new tag: Zoom domain
  verification.
#3101288 by chr.fritsch: Fix namespace and imports.
#3090002 by DamienMcKenna: Rename migrate plugins to follow naming conventions.
#3099168 by jedihe, DamienMcKenna, docans: Remove "title" meta tag, leave the
  regular title tag.
#3101567 by DamienMcKenna: Update migrations/state/metatag.migrate_drupal.yml
  for recent changes.
#3080665 by DamienMcKenna, Chris Matthews: Add status message when site is in
  maintenance mode that no meta data will be output.
#3087677 by DamienMcKenna: Update MetatagD7Entities for new meta tags in 7.x.


Metatag 8.x-1.10, 2019-08-29
----------------------------
#2971271 by subson, idebr, nkoporec, DamienMcKenna, Michelle: Replace
  drupal_set_message().
#2997834 by thejimbirch, volkswagenchick: itemprop="itemprop:description"
  instead of itemprop="description".
#3025142 by thejimbirch, bum-dee-dum, volkswagenchick: Add meta tag: Pocket site
  verification.
#3005466 by dbgilbert, DamienMcKenna, thejimbirch: Allow multiple Google
  verification tags.
#1498762 by DamienMcKenna, thejimbirch, vipul tulse: Add new meta tag: Rating.
#3000748 by robpowell, DamienMcKenna: Allow dev-level dependencies to be used.
#3045460 by Berdir: MetatagFirehose::formElement() should pass current entity
  explicitly to metatag_get_default_tags().
#3046976 by idebr, chr.fritsch: Schema for entity_type_groups is incorrect.
By samuel.mortenson, Berdir, DamienMcKenna: Test coverage for data handling.
#3048615 by thalles, idebr: Replace MetatagManager by MetatagManagerInterface.
#3048566 by thejimbirch, sean_e_dietrich: Pinterest and Yandex URLs in
  Verification need updating.
#3042739 by DamienMcKenna: Fix tests on Metatag 8.x-1.x branch.
#2820214 by DamienMcKenna, Lendude, KarenS, idebr: Update tests to use
  BrowserTestBase instead of WebTestBase.
#3073826 by chr.fritsch: Move tests in /tests/Functional folder.
#3071678 by idebr, DamienMcKenna: metatag_defaults @ConfigEntityType annotation
  is missing a config_export key.
#3076572 by davps: Metatag manager - incorrect default tags for an entity.
#2898941 by thejimbirch, cindytwilliams, feddovdm: Expand the referrer-policy
  dropdown.
#3059963 by jzech: Improve description for Open Graph.
#2563649 by DamienMcKenna, Jo Fitzgerald, marvil07, pobster, oliverpolden,
  WidgetsBurritos, socketwench, marcelovani, Benia, heddn, Steven Jones,
  benjifisher, mglaman, tedfordgif, mikeryan, a.milkovsky, drupalninja99, cruno,
  ccarrascal, PapaGrande, pcranston: Migrations: Metatag-D7 basic entities.
#3077784 by davps: Fix compatibility / tests against core 8.8.x.
#3045560 by DamienMcKenna, heddn: Add a .migrate_drupal.yml file.


Metatag 8.x-1.9, 2019-07-24
---------------------------
By DamienMcKenna, anton.shloma: Improved maintenance mode identification.


Metatag 8.x-1.8, 2019-02-20
---------------------------
By samuel.mortenson, Berdir, DamienMcKenna: Fix data property definition.


Metatag 8.x-1.7, 2018-08-31
---------------------------
#2994979 by DamienMcKenna, dspachos, ynotpeanutbutter, oxy86, IT-Cru, kdeds,
  zenimagine: Fixed backwards compatibility break when support for multiple-
  value tags was added.
#2990923 by th_tushar, DamienMcKenna: Fixed  coding standards.


Metatag 8.x-1.6, 2018-08-21
---------------------------
#2961777 by thejimbirch, Baysaa: "Geographical position" (geo.position) should
  use semi-colon instead of comma.
#2964626 by idebr: og:image:secure_url allows for multiple values.
#2865267 by DamienMcKenna, okonvicka, aldibier: <title> tags empty after
  installing Metatag.
#2962426 by dragonwize: Image URL double encoded.
#2973277 by mvantuch, DamienMcKenna: Support for og:image:alt.
#2977002 by DamienMcKenna, maxoid: Enable testing on the two og product meta
  tags.
#2977545 by pmelab, bappa.sarkar, DamienMcKenna: GraphQL throws an error due to
  Metatag's use of a custom data structure.
#2925714 by acbramley, vakulrai, Berdir, nkoporec: Replace deprecated
  BaseFieldDefinition ::setQueryable.
#2957411 by pmelab: Field item empty check on empty arrays.
#2958743 by DamienMcKenna, AdamEvertsson, StepanISK, trong.nguyen.tcec,
  chiefme, quixxel, rjg, CProfessionals: Ignore update.php requests when
  loading entities; error message when updating from 8.x-1.0 to 8.x-1.5.
#2961918 by thejimbirch, Michelle: Add the site.webmanifest meta tag.
#2895577 by plopesc, drupallogic: Error loading
  /admin/config/search/metatag?page=1.
#2943954 by thejimbirch, DamienMcKenna: Document an approach to simplify
  overriding meta tags on a per-entity basis.
#2968902 by DamienMcKenna, Berdir: Default user page title token should use
  [user:display-name].
#2977197 by justin., DamienMcKenna: Allow modules to override the entity used
  for token replacements.
#2691313 by KarenS, carstenG, DamienMcKenna, Michelle, marysmech: New option to
  control which meta tag groups are used on each form.
#2563657 by plopesc, scotthooker, dawehner, ryanissamson, KevinVb, dobrzyns,
  PieterDC, peter.keppert, piggito, DamienMcKenna, Grayle, kunal.kursija,
  Citizen Dan, al0a, kaushashah, yohanaraujo07@gmail.com, markandrewsutton,
  fuzzyjared, igalafate, PascoS, rybchynski: Panels / Page Manager
  integration.
#2989295 by JKerschner: Coding style improvements.
#2987852 by Chris Burge: Allow meta tags to be altered before page attachment.
#2989543 by JKerschner: Remove unused variables and imports.
#2753595 by sinn, thejimbirch: W3C validation error on xmlns attribute.
#2988072 by juanolalla: Allow contex entity to be overriden in alter hook.
#2628934 by nikunjkotecha, smaz, e.escribano, idebr, DamienMcKenna,
  ZapevalovAnton, caspervoogt: Full support for meta tags that allow multiple
  values.
#2987904 by thejimbirch: Remove groups redundantly stored in the main module.
#2987107 by ziomizar: Add support for bubbeable metadata in the MetatagToken
  service.
#2978106 by Rolf van de Krol: Translated metatags not showing in normalized
  entity representations (i.e. REST).
#2799861 by kalpaitch, DamienMcKenna, dmitry.yankouski, ckaotik: Canonical links
  repeated when using Panels pages.
#2532596 by alzz, DamienMcKenna, thejimbirch: Add new meta tag: google.


Metatag 8.x-1.5, 2018-03-29
---------------------------
#2932596 by yo30, Punk_UnDeaD: Wrong method in abstract class LinkSizesBase.
#2933940 by DamienMcKenna: og:image must be at least 200x200 otherwise it is
  ignored by Facebook.
#2936371 by gaurav.kapoor: Unused variable in metatag defaults class revert
  function.
#2923080 by DamienMcKenna, pingwin4eg, pazhyn: Undefined offset: 1 in
  metatag_mobile_page_attachments_alter.
#2930037 by smurrayatwork, rbayliss, moshe weitzman: Missing ampersand with
  drupal_static causes multiple calls to metatag_get_tags_from_route().
#2899234 by DamienMcKenna, JeffM2001, twang, heddn, edurenye, ShaunDychko:
  Missing dependency (drupal:serialization) / Fatal error: Class NormalizerBase
  not found.
#2945799 by DamienMcKenna, webfaqtory: Undefined variable: tag_id in
  MetatagManager->sortedGroupsWithTags().
#2953313 by DamienMcKenna: Add a function for getting the meta tags in a human
  readable format - metatag_generate_entity_metatags().
#2953635 by DamienMcKenna: MetatagStringTest has the wrong @group.
#2937683 by prafullsranjan, DamienMcKenna: Further improve module's coding
  standards compliance.
#2939608 by alberto56: Invalid argument supplied for foreach() in
  MetatagNormalizer.
#2936876 by bonus, DamienMcKenna: Add support for Pinterest meta namespace.
#2938025 by DamienMcKenna, Oliver Eyton-Williams: Incorrect rel attribute on
  hreflang tags.
#2954214 by DamienMcKenna: composer.json improvements.
#2908119 by LEalex, DamienMcKenna, jeffam, BenStallings: Set "link" HTTP header
  for canonical URL and shortlink tags.
#2954169 by yasmeensalah, DamienMcKenna: Translations of description meta tags
  shouldn't be limited to 128 characters.
#2897450 by edurenye: Add product:price:amount and product:price:currency OG
  tags.
#2922581 by roborew: Metatag causes error when used with Replication Modules to
  deploy content.
#2947493 by DamienMcKenna, kala4ek: Adding forms of custom entities are broken.
#2828607 by pingevt, DamienMcKenna: Add OG book meta tags.
#2954522 by DamienMcKenna: Correct spelling of "meta tags".
#2809351 by DamienMcKenna, thejimbirch: Add the advanced Dublin Core meta tags.
#2956199 by DamienMcKenna: Remove separate admin pages for Views integration.
#2956227 by DamienMcKenna: Test improvements from 2883718-20.
#2900368 by plopesc: Don't allow certain defaults to be removed.
#2840751 by ocastle, ElegguaDP, Wim Leers, keopx, adamzimmermann:
  Protocol-relative URLs are broken.
#2925974 by keopx, ocastle, DamienMcKenna, Wim Leers, mangy.fox: Twitter Cards
  (and others) require absolute URLs.


Metatag 8.x-1.4, 2017-12-21
---------------------------
#2882769 by DamienMcKenna: Added a hook_requirements() message about the
  Schema.org Metatag module.
#2864079 by DamienMcKenna: Resolve coding standards violations.
#2928394 by DamienMcKenna, mattlt: Error: Trait metatag_views\
  MetatagViewsValuesCleanerTrait not found.
#2932110 by thejimbirch: Update Description's meta description to 320 chars
  (for 2018).
#2932285 by DamienMcKenna, Sophie.SK: After updating Redirect to 1.0, config
  import fails: route does not exist.
#2932316 by DamienMcKenna, Sophie.SK: Error on main defaults page if no config
  objects exist.
#2932361 by DamienMcKenna: Improve coding standards on Metatag 8.x-1.x.
#2930001 by Aurif3x, DamienMcKenna: New meta tag: Set-Cookie.
#2810635 by DamienMcKenna: Automatically add hreflang meta tags for each enabled
  language.


Metatag 8.x-1.3, 2017-09-29
---------------------------
#2898975 by DamienMcKenna: Correct restui entry in composer.json.
#2899045 by DamienMcKenna: Fixed problems in MetatagNodeTranslationTest.
#2899234 by DamienMcKenna: Expand Devel/WebProfiler tests to make sure they work
  when a content type and node are present.
#2898805 by DamienMcKenna: Small improvements to the test suite, working
  towards fixing the 8.4.x support.
#2898805 by DamienMcKenna: Fixes to MetatagNodeTranslationTest to make it work
  with 8.4.x.
By DamienMcKenna: Reenable \Drupal\metatag\Tests\MetatagFrontpageTest::
  testFrontPageMetatagsEnabledConfig().
#2905925 by DamienMcKenna: The Normalizer shouldn't assume all meta tags have a
  'content' attribute; also support the 'href' attribute.
#2906312 by DamienMcKenna: Added the twitter:dnt meta tag.
#2909390/2894868 by Perignon, StijnStroobants: Small typo in MetatagToken.
#2903661 by DamienMcKenna: Don't output 403/404 page node's meta tags on
  403/404 pages.
#2905769 by DamienMcKenna: Improved defaults for the canonical URL meta tag.
#2899752 by DamienMcKenna, huzooka, deepak_zyxware, samuel.mortenson, wanjee,
  giangi.vigazzola: Creating a new field bundle inside
  hook_entity_base_field_info_alter() is a bad idea and causes problems.
#2906180 by John Lawter: Incorrect Wikipedia link for Advanced > Geographical
  position.
#2859111 by acbramley, DamienMcKenna: Remove the second canonical tag on
  taxonomy term pages because of a bug in core.
By DamienMcKenna: Changed codebase to only use short array syntax, fixed some
  comments.
#2911435 by DamienMcKenna, AdamPS: Streamline the HTML output logic.
#2860088 by AdamPS, DamienMcKenna: Comma separated list in og:image breaks if
  one component is empty.
#2905769 by DamienMcKenna: Added tests for how default meta tags are displayed.
#2872382 by Vlad_Bo, DamienMcKenna: Error if there is no node object (custom
  node view implementation).
#2217549 by Alan D., Kuldeep K, DamienMcKenna: Integration with the Diff module.


Metatag 8.x-1.2, 2017-07-31
---------------------------
#2882954 by DamienMcKenna: Added Devel as a test dependency.
#2882954, #2877737 by DamienMcKenna, René-Marc Simard, a.henry: Fixed
  compatibility with WebProfiler, added tests to ensure site still works when it
  or Devel is enabled.
#2878158 by DamienMcKenna: Listed Context Metadata as a related module.
#2894566 by StijnStroobants: Make all routes start with a leading slash.
By DamienMcKenna: Use ComposerCat to update composer.json.
By DamienMcKenna: Don't list Drupal core as a dependency in composer.json.
#2636852 by hanoii, DamienMcKenna, Grayside, pcho, skorzh, fjgarlin, vincic:
  Make Metatag fields available as JSON.
#2893448 by Sam152: Add correct meta tags to latest-version route to support
  content moderation.


Metatag 8.x-1.1, 2017-05-31
---------------------------
#2852737 by DamienMcKenna: Added CodeClimate config files.
#2853252 by dawehner: Ensure the meta tags are ordered correctly.
#2856454 by dbungard: Improvements to UI text, meta tag descriptions, etc.
#2781485 by kalpaitch: Changed MetatagManager to use the instance name rather
  than plugin ID to identify plugin instances.
By DamienMcKenna: Ensure all drupalPostForm() calls are preceeded by a
  drupalGet() call, and that all drupalGet() calls have an assertResponse().
#2858057 by nicrodgers: Wrong default values are displayed in the node form when
  adding a translation.
#2855445 by rocket.man: Replace deprecated functions (database functions,
  format_string()).
#2851582 by mtodor: Filled out missing attributes on the default configuration.
#2862277 by DamienMcKenna: Fixed filename of the MsapplicationStartUrl plugin.
#2864524 by JamesK: Improve field description for the abstract meta tag.
#2848353 by DamienMcKenna, grisendo: Only output one shortlink tag; extended tag
  tests to cover an example entity.
#2706941 by ckaotik, monika.de, DamienMcKenna, mariancalinro, adinac: Allow
  translations to be longer than 128 characters for tags which use textarea
  fields.
#2868750 by DamienMcKenna: List Metatag Cxense as a related module.
#2563633 by ziomizar, DamienMcKenna, ruloweb: Add all of the Favicon meta tags.
#2853515 by ohthehugemanatee: Add default handling to metatag manager.
#2857544 by fjgarlin: Default values not returned on REST default routes.
#2636852 by Greyside: MetatagToken::replace() options array shouldn't assume the
  'clear' attribute is always needed.
By DamienMcKenna: Allow MetatagJsonOutputTest to run.
#2563633 by ziomizar: Misc fixes for the Favicon meta tags.
#2563647 by delta, tom_ek, DamienMcKenna, monika.de, ckaotik, martins.bertins,
  cgmonroe, danquah, blazey, paulmckibben, stijn.blomme, danquah, Alex Bukah,
  guarav.goyal, kducharm: Views integration.
#2882769 by DamienMcKenna: List Schema Metatag as a related module.
#2856416 by DamienMcKenna: List Metatag Google Scholar as a related module.
#2848543 by DamienMcKenna: Add missing people to README.txt.


Metatag 8.x-1.0, 2017-01-31
---------------------------
#2841139 by jmolivas: Relocated commands services registration to
  console.services.yml file.
#2844429 by DamienMcKenna: There's only one hreflang meta tag so far and it does
  not yet support custom tokens like the D7 version does.
#2844504 by DamienMcKenna: Add project names to all dependencies.
#2563631 by DamienMcKenna: Added all AppLinks meta tags.
#2841737 by DamienMcKenna: Renamed the DrupalConsole commands.
#2838175 by dawehner: Allow supported entity routes to be changed through the
  new hook_metatag_route_entity().
#2825867 by Grayside: Improve support for the Typed Data API.
#2649592 by ziomizar, DamienMcKenna: Write tests to cover apostrophe handling.
By DamienMcKenna: Shortened some verbose variable syntax.
#2835752 by DamienMcKenna: Improved hook_help().
#2789511 by DamienMcKenna: It is a known issue that all Metatag fields must be
  removed prior to uninstalling the module.
#2809915 by nicxvan, DamienMcKenna: Document how to programmatically assign
  meta tags when creating entities.
#2563645 by DamienMcKenna, Michelle: Improved documentation.


Metatag 8.x-1.0-beta12, 2017-01-03
----------------------------------
#2823811 by Michelle: metatag_open_graph_preprocess_html() was misspelled.
#2654148 by penyaskito, DamienMcKenna: Not all entity.*.add paths are tied to a
  specific entity form, so don't assume they are; this fixes compatibility with
  the Lingotek module, possibly others.
By DamienMcKenna: Fixed a typo in README.txt.
#2824442 by jiff: image_src should be a 'link' tag.
#2821476 by DamienMcKenna, Daniel_Rose: Added tests to confirm entity defaults
  inherit properly.
#2836124 by DamienMcKenna: Fixed tests for the Dublin Core meta tags.
#2786625 by DamienMcKenna: Added the hreflang=x-default meta tag.
#2532588 by DamienMcKenna, renatog, cebasqueira: Added the Google CSE meta tags.
#2563631 by DamienMcKenna: Added a placeholder to store the AppLinks meta tags.
#2809351 by DamienMcKenna: Added a placeholder to store the DC Advanced meta
  tags.
#2835925 by DamienMcKenna: Added a placeholder to store the OG Products meta
  tags.
#2563633 by DamienMcKenna: Added a placeholder to store the favicon meta tags.
#2532588 by DamienMcKenna: Follow-up to fix the group assignment of the Google
  CSE meta tags.
#2786625 by DamienMcKenna: Follow-up to fix the group assignment of the hreflang
  x-default meta tag.
#2563635 by jlbellido, DamienMcKenna: Ported all of the mobile meta tags to the
  new Metatag Mobile submodule.
#2840222 by jmolivas: Update for Drupal Console rc13 namespace changes.


Metatag 8.x-1.0-beta11, 2016-10-31
----------------------------------
#2786795 by agoradesign, heddn: Temporarily disable the DrupalConsole
  integration.
#2709985 by DamienMcKenna: Moved the two FB meta tags into a new submodule,
  Metatag Facebook, added the fb_pages meta tag.
#2709985 by DamienMcKenna: Fixed the fb:pages meta tag description.
By DamienMcKenna: Updated the description of content-language to clarify its
  usage and the fact that Bing may still use it.
#1865228 by DamienMcKenna: Moved the Author meta tag into the GoolgePlus
  submodule.
#2797069 by Internet, DamienMcKenna: Corrected the URL to Wikipedia's ICBM page.
#2801023 by trobey: Provide namespaces in dependencies to avoid ambiguity.
#2563627 by gaurav.goyal, DamienMcKenna, cilefen: Added all of the basic Dublin
  Core meta tags.
#2795983 by dbungard: Improved help message on the main configuration page.
#2786795 by -enzo-: Fixed Drupal Console integration; now requires rc1.
#2663974 by dawehmer, DamienMcKenna: Added the og:video meta tags.
#2819549 by chr.fritsch: Fixed entity API changes in metatag_update_8103.
#2817309 by chr.fritsch, DamienMcKenna: Fixed default value handling for all
  entity forms. Greatly extended the entity field tests for nodes, terms, users
  and the entity_test entity.
#2654148 by bmcclure, DamienMcKenna, miiimooo, JeroenT, agoradesign: Improved
  support for all entities, exclude certain core entity types, only support
  ContentEntityType entities that have 'links' defined.
#2816553 by andyrigby: Renamed article:tags to be article:tag.
#2796701 by jiff, DamienMcKenna: Added tests to cover XSS via meta tag values.
#2796701 by DamienMcKenna: Added tests to cover XSS on the page title and entity
  values.


Metatag 8.x-1.0-beta10, 2016-08-22
----------------------------------
#2747793 by rajeshwari10, cilefen, DamienMcKenna: Removed the @file docblocks.
#2764163 by chrisfree, markdorison: Allow the 'referrer' meta tag to not have a
  value selected.
#2762981 by felribeiro, DamienMcKenna: Changed codebase to only use short array
  syntax.
#2753595 by sylus: Moved the extra XML namespaces to the OpenGraph module.
#2765137 by balsama: Don't display the installation message during site install,
  it looks funny.
#2759843 by DamienMcKenna: Removed the Alexa verification tag.
#2759855 by DamienMcKenna: Removed the Yahoo verification tag.
#2759917 by Nikhilesh Gupta, cilefen: Remove unused imports / 'use' statements.
#2759927 by Nikhilesh Gupta: Replace deprecated \Drupal::entityManager()
  with \Drupal::entityTypeManager().
#2759919 by Nikhilesh Gupta: Replace deprecated entity->urlInfo() with
  entity->toUrl().
#2755225 by jlbellido: Corrected the 'type' tag generator definition in
  tag.php.twig.
#2759931 by Nikhilesh Gupta: Replace deprecated ConfigEntityListBuilder::
  getLabel() with entity->label().
#2761231 by ashwin.shaharkar: Minor fix to image tag form selection logic.
#2745177 by DamienMcKenna, cilefen: Added tests for each submodule to ensure
  they can be enabled and that each meta tag can be used.
#2750705 by susannecoates, jalpesh: Updated description of the Google Play app
  ID meta tag.
#2752239 by Saphyel, sylus, DamienMcKenna: Temporary fix for DrupalConsole
  integration.
#2775245 by DamienMcKenna: Fix tests.
#2776407 by cilefen: Module names must be wrapped in quotes if they contain
  certain characters.
By DamienMcKenna: Renamed the custom routes module.
#2745173 by jibellido: Tag generator now appends metatag_tag.schema.yml.
#2673902 by DamienMcKenna: Confirm that forum posts can be loaded when the
  module is enabled and outputting meta tags.
#2707791 by ashwin.shaharkar, DamienMcKenna, Shreya Shetty, MattDanger: Changed
  the Description and Abstract meta tags to use a textarea, matching the D7
  branch.
#2780025 by DamienMcKenna: Basic tests for the output of every meta tag. Fixes
  the output of all Google Plus tags. Fixed the test route module.
#2746031 by jalpesh, cilefen, DamienMcKenna, susannecoates: Fixed output of all
  Twitter Cards meta tags.
#2780109 by DamienMcKenna: Always run drupalGet() before drupalPostForm() to
  ensure the form loads correctly.
#2748615 by yannickoo, DamienMcKenna, agentrickard, SteffenR, paulmckibben: Try
  generating an empty entity on entity-add (e.g. node/add/*) so default values
  can be filled in.
#2775441 by tom_ek, DamienMcKenna: Replace deprecated core entity APIs with the
  newer ones.
#2762981 by DamienMcKenna: More codebase changes to only use short array syntax.
#2774807 by DamienMcKenna, Berdir, hussainweb: Token browser showed items that
  were irrelevant, and didn't show the correct entities on default config forms.
#2748615 by yannickoo, DamienMcKenna, SteffenR: The default configurations were
  not loading properly in entity form fields.
#2752239 by DamienMcKenna: Fixes to Drupal:Console integration.
#1865228 by DamienMcKenna, greggles: Added the Author meta tag.
#2493711 by DamienMcKenna: Added the geographical meta tags.
#1343914 by DamienMcKenna, Dave Reid: Added the (Google+) Publisher meta tag.
By DamienMcKenna: Corrected the changelog comment for #2759927.


Metatag 8.x-1.0-beta9, 2016-06-02
---------------------------------
#2725895 by DamienMcKenna: Fixed the name of the Validation submodule to avoid
  YAML validation errors. Yes, somewhat ironic.
#2725989 by dbt102, DamienMcKenna, neerusrijan: Improve hook_help().


Metatag 8.x-1.0-beta8, 2016-05-14
---------------------------------
#2723319 by itmaybejj: Fixed misspelling of 'its'.
#2619450 by paulmckibben: Remove core's Canonical URL tag if Metatag is adding
  one.
#2712277 by markdorison: Twitter Card Type meta tag wasn't updating.
#2650408 by Raphael Apard, DamienMcKenna, gaurav.goyal, dpacassi, kyberman:
  A node's meta tags should not override the front page defaults unless the
  defaults are disabled/deleted.
#2684479 by mikeyk, DamienMcKenna, aspilicious: Added 'secure' option as some
  meta tags require HTTPS URLs.
#2699297 by DamienMcKenna: Added tests to ensure submodules can be enabled.
#2663974 by IT-Cru, DamienMcKenna: Added the og 'article' meta tags.
#2650848 by ivanjaros, DamienMcKenna: Only show appropriate entities in the
  token browser.
#2705851 by vasi: Load field definitions, not field values, when getting a list
  of Metatag fields on an entity.
#2708511 by DamienMcKenna: Added the referrer meta tag.
#2563629 by Jim.M, DamienMcKenna: Added site verification tags.
#2721857 by marvin_B8, DamienMcKenna: Added Google+ meta tags.


Metatag 8.x-1.0-beta7, 2016-04-03
---------------------------------
#2699173 by DamienMcKenna: Fixed OgUpdatedTime annotations.


Metatag 8.x-1.0-beta6, 2016-04-02
---------------------------------
#2689543 by kplanz: Fixed paths in image meta tags when the site is in a
  subdirectory.
By DamienMcKenna: Added a CODE_OF_CONDUCT.txt file that references the Drupal
  code of conduct page.
#2690973 by DamienMcKenna: Added schema.yml values for all meta tags to make
  them more easily translatable.
#2688963 by DamienMcKenna: Added a note about the Yoast SEO module.
#2696445 by DuaelFr, Simon Georges, DamienMcKenna: Added the twitter:image:alt
  meta tag.
#2692117 by penyaskito, DamienMcKenna: Replaced the 'image' attribute with a
  general 'type' attribute.


Metatag 8.x-1.0-beta5, 2016-03-11
---------------------------------
#2563623/2674732/2675208 by DamienMcKenna, esclapes, NickWilde, achton: Quote
  submodule strings to avoid YAML compatibility problems.
#2658242 by mr.baileys: Default meta tags were not translated into the entity's
  language.
By DamienMcKenna: Added mr.baileys to the D8 contributors list :)
#2664276 by DamienMcKenna, StevenPatz, rajeev_drupal: Wrong default base class
  for generated tag plugins.
#2665790 by benjy, Sam152: Use StringTranslationTrait in MetaNameBase.
#2666384 by mr.baileys, Rudrasis, danisha: Added 'configure' link to the module
  on the Extend page.
#2563625 by mr.baileys, juliencarnot: All Twitter Cards have been ported.
#2674078 by Raphael Apard: The Generator meta tag is a META tag, not a LINK tag.
#2664448 by mr.baileys: DrupalConsole generator for meta tag groups.
#2663650 by mr.baileys: Caught another small bug in the tag generator.
#2672892 by borisson_: Replaced usage of LoggerChannelFactory with
  LoggerChannelFactoryInterface.
#2678196 by mr.baileys: Simplified usage of isAdminRoute().
#2631408 by mikeyk, juampynr, DamienMcKenna: Filter out HTML from meta tags and
  improve image meta tag handling.
#2631826 by juampynr, DamienMcKenna, pguillard: Require the Token module.
#2667850 by mikeyk: Token method was not renamed properly.
By DamienMcKenna: Fixed group name on MetatagTranslationTest.
#2684495 by mikeyk, DamienMcKenna: Fixed bug in translations that was causing
  the tests to fail. Also tidied up the tests a little.
#2685355 by mikeyk: Fix image identification.


Metatag 8.x-1.0-beta4, 2016-02-06
---------------------------------
#2634844 by swentel: Only load entity meta tags on actual content entity pages.
#2648752 by juampynr: Fixed the token browser integration.
#2642430 by juampynr: Moved settings pages under admin/config.
#2646706 by heykarthikwithu: Removed unused 'use' statements.
#2645338 by Dane Powell: Fixed variable assumptions in MetatagFirehose.
#2643370 by flocondetoile: Fixed hook_block().
#2631408 by juampynr: Filter HTML from the meta tag output.
#2653512 by DamienMcKenna, ivanjaros: Missing ampersand in drupal_static call.
#2630068 by jaxxed, DamienMcKenna: Moved the meta tags fields into the
  'advanced' section of the entity form.
#2657142 by TravisCarden: Incorrect path in MetatagDefaults annotations.
#2656494 by DamienMcKenna, webflo, cyb.tachyon, alexdmccabe: Added translation
  support for the default configs.
#2634844 by mr.baileys: Ensure that the entity system doesn't break entity
  pages that don't have meta tags enabled.
#2659854 by mr.baileys: The config inheritance info was displayed when not
  needed and was not translatable.
#2624422 by mr.baileys: Added tests to confirm meta tag handling is loaded
  correctly when there is no default value available.
#2658902 by swentel, DamienMcKenna: Renamed 'Add Metatag defaults' to something
  more easily understood.
#2636348 by DamienMcKenna: Config entity not working correctly after updating
  from beta2.
By DamienMcKenna: Note in the README.txt that Token is now required.
#2663874 by mr.baileys: Fixed arguments to annotation translations for two
  Google meta tags.
#2663650 by DamienMcKenna: Updated/fixed the DrupalConsole integration.
#2663650 by mr.baileys: Further fixes to the DrupalConsole integration.
#2563623 by DamienMcKenna: Moved OG tags to new submodule, added several more.


Metatag 8.x-1.0-beta3, 2015-12-08
---------------------------------
#2613654 by Michelle, DamienMcKenna: Automatically parse fields for images.
#2563639 by juampynr, DamienMcKenna: Global configurations system.


Metatag 8.x-1.0-beta2, 2015-11-23
---------------------------------
#2572469 by Berdir, platinum1, rakesh.gectcr, DamienMcKenna: Fixed the
  composer.json file.


Metatag 8.x-1.0-beta1, 2015-11-19
---------------------------------
Initial port by Damien McKenna and Michelle Cox.
#2563663 by kikoalonsob: Don't convert the title to a string.
#2563621 by jmolivas: Fixed DrupalConsole integration.
#2579865 by afi13: Fixed definition of MetatagEmptyFormatter::viewElements().
#2563667 by vincic: MetatagManager should only be used for objects implementing
  ContentEntityInterface.
#2569043 by Michelle: Field defaults weren't loading (core API change).
#2579295 by Michelle: Fixed the field cardinality limitation.
#2563667 by Michelle: Follow-up to add missing namespace.
#2584835 by DamienMcKenna: Fixed double-HTML encoding of the page title.
#2563637 by larowlan: Added some initial tests for the field type.
#2596753 by Michelle: Don't encode apostrophes in the page title.
#2576695 by Andrej Galuf, larowlan, DamienMcKenna: Double slashes in URLs were
  being replaced.
#2603548 by DuaelFr: Clear our the head_title array to avoid the site name being
  added a second time.
#2617192 by larowlan: Fixed tests due to a core API change.
#2609138 by rakesh.gectcr: Removed unnecessary 'use' statements.
#2593149 by larowlan: Inject dependencies into MetatagManager.
#2593153 by larowlan: Inject dependencies into MetatagToken.
#2593141 by larowlan: Add a MetatagManagerInterface to avoid type-hinting
  concrete implementation.
#2581351 by Michelle, larowlan, DamienMcKenna: Don't save default values to the
  field, allow them to inherit from the default field settings.
By DamienMcKenna: Updates to the README.txt file.
#2572469 by rakesh.gectcr, DamienMcKenna, jaxxed, timmillwood: Added a
  composer.json file.
By DamienMcKenna: Added a LICENSE.txt to enforce the license on git mirrors.
